    001/* ===========================================================
    002 * JFreeChart : a free chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jfreechart/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025 * Other names may be trademarks of their respective owners.]
    026 *
    027 * ---------------
    028 * DomainInfo.java
    029 * ---------------
    030 * (C) Copyright 2000-2009, by Object Refinery Limited.
    031 *
    032 * Original Author:  David Gilbert (for Object Refinery Limited);
    033 * Contributor(s):   -;
    034 *
    035 * Changes (from 18-Sep-2001)
    036 * --------------------------
    037 * 18-Sep-2001 : Added standard header and fixed DOS encoding problem (DG);
    038 * 15-Nov-2001 : Moved to package com.jrefinery.data.* (DG);
    039 *               Updated Javadoc comments (DG);
    040 * 22-Apr-2002 : Added getValueRange() method (DG);
    041 * 12-Jul-2002 : Renamed getValueRange() --> getDomainRange() (DG);
    042 * 06-Oct-2004 : Renamed getDomainRange() --> getDomainBounds() (DG);
    043 * 17-Nov-2004 : Added 'includeInterval' argument to all methods (DG);
    044 * 11-Jan-2005 : Removed deprecated code in preparation for the 1.0.0
    045 *               release (DG);
    046 *
    047 */
    048
    049package org.jfree.data;
    050
    051/**
    052 * An interface (optional) that can be implemented by a dataset to assist in
    053 * determining the minimum and maximum values.
    054 */
    055public interface DomainInfo {
    056
    057    /**
    058     * Returns the minimum x-value in the dataset.
    059     *
    060     * @param includeInterval  a flag that determines whether or not the
    061     *                         x-interval is taken into account.
    062     *
    063     * @return The minimum value.
    064     */
    065    public double getDomainLowerBound(boolean includeInterval);
    066
    067    /**
    068     * Returns the maximum x-value in the dataset.
    069     *
    070     * @param includeInterval  a flag that determines whether or not the
    071     *                         x-interval is taken into account.
    072     *
    073     * @return The maximum value.
    074     */
    075    public double getDomainUpperBound(boolean includeInterval);
    076
    077    /**
    078     * Returns the range of the values in this dataset's domain.
    079     *
    080     * @param includeInterval  a flag that determines whether or not the
    081     *                         x-interval is taken into account.
    082     *
    083     * @return The range (or <code>null</code> if the dataset contains no
    084     *     values).
    085     */
    086    public Range getDomainBounds(boolean includeInterval);
    087
    088}